body,
html {
    margin: 0;
    padding: 0;
    font-family: "Montserrat", sans-serif;
    color: #111111;
    background-image: url('/images/expo-2025/bg.jpg');
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    height: 100vh;

    touch-action: pan-x pan-y; /* allow scrolling */
    overscroll-behavior: none; /* optional: stop bounce on some devices */
    -webkit-user-select: none;
    -ms-user-select: none;     
    user-select: none;         
    -webkit-touch-callout: none; 
    scroll-behavior: smooth;

}
body::before {
    content: '';
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: inherit;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    background-color: #fff;
    filter: blur(4px);
    overflow: hidden;
}

h1, h2, h3, h4, h5, h6 {
	margin: 0 0 10px 0;
	color: #fff;
	font-weight: 700;
    line-height: 1.3;
	font-family: "Merriweather", serif;
}



.container-1 {
    position: relative;
    z-index: 1;
    max-width: 100%;
    margin: 0 auto;
}
.header {
    display: flex;
    position: relative;
    justify-content: space-between;
    align-items: center;
    color: #fff;
}
#header-logo {
    height: 60px;
    margin: 10px 0;
}
.pagetitle {
    font-weight: 700;
    font-size: 30px;
	font-family: "Merriweather", serif;
    text-align: center;
}
.subtitle {
    font-size: 20px;
}
.instructions {
    text-align: center;
    font-size: 15px;

}


.view-toggle {
    background: none;
    border: none;
    cursor: pointer;
    font-size: 14px;
    font-weight: 500;
    border: 1px solid #eadacd;
    background-color: #eadacd0d;
    color: #eadacd;
    border-radius: 25px;
    padding: 10px 20px;
    text-decoration: none;
}
.filter-title {
    color: #eadacd;
    font-size: 13px;
    padding-bottom: 10px;
}
.filter-buttons {
    text-align: center;
    margin: 10px;
}
.filter-buttons button {
    padding: 10px 15px;
    font-size: 14px;
    font-weight: 500;
    border: 1px solid #eadacd;
    background-color: #eadacd0d;
    color: #eadacd;
    border-radius: 25px;
    cursor: pointer;
    margin: 5px;
    transition-duration: 0.3s;
}
.filter-buttons button:hover {
    background-color: #fff;
    border: 1px solid #fff;
    color: #2c2118;
}
.filter-buttons button.active {
    background-color: #801a14;
    border: 1px solid #801a14;
    color: #fff;
}
@media (max-width : 576px) {
    .filter-buttons button {
        padding: 6px 12px;
        font-size: 12px;
    }
}



.swiper {
    width: 90%;
    /*height: 600px;  Fixed height for consistency */
    height: 85vh;
    padding: 10px 50px;
}
.swiper-slide {
    position: relative;
    text-align: center;
    width: 100%;
    height: 100%;
    transition: transform 0.3s ease-in-out;
    box-shadow: 0 10px 20px #00000080, 0 -1px #ffffff80;
    border-radius: 30px;
    overflow: hidden;
}
.swiper-slide a {
    display: block;
    width: 100%;
    height: 100%;
    text-decoration: none;
    color: white;
}
.swiper-slide img {
    width: 100%;
    height: 100%; /* Ensures all images are the same height */
    object-fit: cover; /* Crops to fit without distortion */
    display: block;

}
.swiper-grid .swiper-slide img {
    transition: transform 0.3s ease-in-out;
}
.swiper-grid .swiper-slide:hover ,
.swiper-grid .swiper-slide:hover  {
    transform: scale(1.05);
}
.swiper-grid  .swiper-button-prev,
.swiper-grid  .swiper-button-next {
    display: none;
}
.slide-title {
    position: absolute;
    bottom: 0px;
    left: 0px;
    color: white;
    padding: 60px 25px 20px 25px;
    font-size: 25px;
    text-align: center;
    width: 100%;
    font-weight: 500;
    line-height: 1.3;
    background: rgb(44,33,24);
    background: linear-gradient(0deg, rgba(44,33,24,1) 0%, rgba(44,33,24,0) 100%);
}
.slide-maintitle {
    font-family: "Merriweather", serif;
    font-weight: 600;
}
.slide-location {
    font-size: 15px;
    padding-bottom: 0px;
    
}
.swiper-button-prev, .swiper-button-next {
    color: #ffffff;
}
@media (max-width : 576px) {
    .swiper {
        height: 450px;
    }
}
.swiper-grid > .swiper-wrapper{
    display: grid;
    grid-template-rows: 1fr 1fr;
    grid-auto-flow: column;
    }

/* Position arrows at the top and bottom */
.swiper-button-top,
.swiper-button-bottom {
  position: absolute;
  width: 30px;
  height: 30px;
  background-color: #801a14;
  color: white;
  font-size: 20px;
  text-align: center;
  line-height: 30px;
  border-radius: 50%;
  cursor: pointer;
  z-index: 100000000;
  font-family: swiper-icons;
}

/* Position top arrow */
.swiper-button-top {
  top: 10px;  /* Adjust distance from top */
  left: 50%;
  transform: translateX(-50%);
}

/* Position bottom arrow */
.swiper-button-bottom {
  bottom: 10px; /* Adjust distance from bottom */
  left: 50%;
  transform: translateX(-50%);
}









/*---------------------
  Timeline
-----------------------*/


.btn-back {
    background: none;
    border: none;
    cursor: pointer;
    font-size: 14px;
    font-weight: 500;
    background-color: #801a14;
    border: 1px solid #801a14;
    color: #fff;
    border-radius: 25px;
    padding: 10px 20px;
    text-decoration: none;
}


/* Timeline scroll animation */
.timeline-item {
    opacity: 1;
    transform: translateY(50px);
    transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

.text-color {
    color: #fff;
    text-align: left;
}

.timeline-item.show {
    opacity: 1;
    transform: translateY(0);
}

/* Timeline Styles */
.timeline {
    position: relative;
    max-width: 1500px;
    margin: 50px auto;
}

.timeline::before {
    content: '';
    position: absolute;
    top: 0;
    left: 50%;
    width: 4px;
    height: 100%;
    background: #eadacd;
    border-radius: 10px;
    transform: translateX(-50%);
}

.timeline-item {
    position: relative;
    width: 50%;
    padding: 20px;
    box-sizing: border-box;
    opacity: 0;
    transform: translateY(50px);
    transition: all 0.6s ease-in-out;
}

.timeline-item.show {
    opacity: 1;
    transform: translateY(0);
}

.timeline-item:nth-child(odd) {
    left: 0;
    text-align: left;
}

.timeline-item:nth-child(even) {
    left: 50%;
    margin-top: -200px;
}

.timeline-content {

    padding: 20px;
    border-radius: 8px;
    position: relative;

}

.timeline-item:nth-child(odd) .timeline-content::before {
    content: '';
    position: absolute;
    top: 20px;
    right: -15px;
    border: 8px solid transparent;
    border-left-color: white;
    display: none;
}

.timeline-item:nth-child(even) .timeline-content::before {
    content: '';
    position: absolute;
    top: 20px;
    left: -15px;
    border: 8px solid transparent;
    border-right-color: white;
    display: none;
}

/* Timeline Dots */
.timeline-dot {
    position: absolute;
    top: 20px;
    left: 100%;
    width: 30px;
    height: 30px;
    background: #801a14;
    border-radius: 50%;
    transform: translateX(-50%);
    border: 4px solid #e3d1c3;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
}
.timeline-item:nth-child(even) .timeline-dot {
    left: 0%;
}

/* Icon in Heading */
.timeline-content h3 {
    display: flex;
    align-items: center;
    gap: 10px;
    color: #720d07;
}

.timeline-content h3 i {
    color: #801a14;
}

.timeline-image {
    max-width: 100%;
    box-shadow: rgba(0, 0, 0, 0.53) 0px 3px 30px;
    border-radius: 20px;
    margin-bottom: 25px;
    cursor: pointer;
}






/* Responsive Styles */
@media screen and (max-width: 768px) {
    .timeline::before {
        left: 20px;
    }

    .timeline-item {
        width: 100%;
        left: 0;
        padding-left: 50px;
        text-align: left;
    }

    .timeline-item:nth-child(odd),
    .timeline-item:nth-child(even) {
        text-align: left;
    }

    .timeline-dot {
        left: 8px !important;
    }

    .timeline-item:nth-child(odd) .timeline-content::before {
        left: -15px;
        right: auto;
        border-left-color: transparent;
        border-right-color: white;
    }

    .timeline-item:nth-child(even) {
        left: 0%;
        margin-top: 0px;
    }
}




/*---------------------
  Modal 
-----------------------*/
.modal-content {
    background-color: transparent;
    border: none;
}
#modalCaption {
    color: #fff;
    font-size: 1.2rem;
    font-weight: 600;
}

.side-arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.4);
    border: 0px solid white;
    color: white;
    font-size: 2rem;
    padding: 0.25rem 0.75rem;
    z-index: 1055;
    cursor: pointer;
    border-radius: 0.5rem;
}
#prevBtn {
    left: -60px;
}
#nextBtn {
    right: -60px;
}
.modal-body {
    position: relative;
    text-align: center;
}
.modal-footer {
    border-top: none;
}





/*---------------------
  Sroll bars 
-----------------------*/
::-webkit-scrollbar {
    width: 12px;
    height: 12px;
 }
/* Track */
 ::-webkit-scrollbar-track {
    -webkit-border-radius: 0px;
    border-radius: 0px;
    background: #735d4f; 
 }
 /* Handle */
 ::-webkit-scrollbar-thumb {
    -webkit-border-radius: 15px;
    border-radius: 10px;
    background: #801a14; 
 }